summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-04-09 20:21:07 +0000
committer Eric Hameleers <alien@slackware.com>2021-04-10 08:59:51 +0200
commit0b6c0a0531b1ebd83557f88a8280c2c398ecb247 (patch)
tree7392f8d5c7405caca4ce91c08485d312d56e8fbe /source/n
parenteb0d409bd7bed52cad64bf3044c7cdaf1afba18c (diff)
downloadcurrent-0b6c0a0531b1ebd83557f88a8280c2c398ecb247.tar.gz
current-0b6c0a0531b1ebd83557f88a8280c2c398ecb247.tar.xz
Fri Apr 9 20:21:07 UTC 202120210409202107
a/aaa_libraries-15.0-x86_64-5.txz: Rebuilt. Added: libcares.so.2.4.2. Upgraded: libexpat.so.1.7.0, libglib-2.0.so.0.6800.1, libgmodule-2.0.so.0.6800.1, libgobject-2.0.so.0.6800.1, libgthread-2.0.so.0.6800.1. d/python-setuptools-56.0.0-x86_64-1.txz: Upgraded. kde/kservice-5.80.0-x86_64-2.txz: Rebuilt. In the profile scripts, don't add a directory to the $PATH unless it exists. Thanks to Lockywolf and pghvlaans. l/gdk-pixbuf2-2.42.6-x86_64-1.txz: Upgraded. n/c-ares-1.17.1-x86_64-1.txz: Added. Adding this since curl can make use of it, and some programs expect this functionality. n/curl-7.76.0-x86_64-2.txz: Rebuilt. Recompiled to link with c-ares-1.17.1. Thanks to babydr. xap/mozilla-thunderbird-78.9.1-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/en-US/thunderbird/78.9.1/releasenotes/ https://www.mozilla.org/en-US/security/advisories/mfsa2021-13/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-23991 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-23993 https://www.mozilla.org/en-US/security/advisories/mfsa2021-13/#MOZ-2021-23992 (* Security fix *) xap/pidgin-2.14.3-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/c-ares/c-ares.SlackBuild142
-rw-r--r--source/n/c-ares/slack-desc19
-rwxr-xr-xsource/n/curl/curl.SlackBuild3
3 files changed, 163 insertions, 1 deletions
diff --git a/source/n/c-ares/c-ares.SlackBuild b/source/n/c-ares/c-ares.SlackBuild
new file mode 100755
index 000000000..b21e7765b
--- /dev/null
+++ b/source/n/c-ares/c-ares.SlackBuild
@@ -0,0 +1,142 @@
+#!/bin/bash
+
+# Copyright 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=c-ares
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* CHANGES* CONTRIBUTING* INSTALL* LICENSE* NEWS* README* RELEASE-NOTES* SECURITY* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a CHANGES file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat CHANGES | head -n 1000 > $DOCSDIR/CHANGES
+ touch -r CHANGES $DOCSDIR/CHANGES
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/c-ares/slack-desc b/source/n/c-ares/slack-desc
new file mode 100644
index 000000000..120a4190f
--- /dev/null
+++ b/source/n/c-ares/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+c-ares: c-ares (C library for DNS requests)
+c-ares:
+c-ares: This is c-ares, an asynchronous resolver library. It is intended for
+c-ares: applications which need to perform DNS queries without blocking, or
+c-ares: need to perform multiple DNS queries in parallel. The primary examples
+c-ares: of such applications are servers which communicate with multiple
+c-ares: clients and programs with graphical user interfaces.
+c-ares:
+c-ares: Homepage: https://c-ares.haxx.se/
+c-ares:
+c-ares:
diff --git a/source/n/curl/curl.SlackBuild b/source/n/curl/curl.SlackBuild
index 0c08d89f8..4ef4822b8 100755
--- a/source/n/curl/curl.SlackBuild
+++ b/source/n/curl/curl.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=curl
VERSION=${VERSION:-$(echo curl-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -87,6 +87,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--with-libssh2 \
--with-gssapi \
+ --enable-ares \
--enable-static=no \
--without-ca-bundle \
--with-ca-path=/etc/ssl/certs \